quadrangle.icc File Reference

`quadrangle` - reference element More...

Go to the source code of this file.

## Macros

#define | _RHEO_QUADRANGLE_ICC

## Variables

const size_t | dimension = 2
const Float | measure = 4
const size_t | n_vertex = 4
const point | vertex [n_vertex]
const size_t | n_edge = 4
const size_t | edge [n_edge][2]

## Detailed Description

`quadrangle` - reference element

Definition in file quadrangle.icc.

## Macro Definition Documentation

## _RHEO_QUADRANGLE_ICC

#define _RHEO_QUADRANGLE_ICC

Definition at line 2 of file quadrangle.icc.

## Variable Documentation

## dimension

const size_t dimension = 2

Definition at line 74 of file quadrangle.icc.

## measure

const Float measure = 4

Definition at line 75 of file quadrangle.icc.

## n_vertex

const size_t n_vertex = 4

Definition at line 76 of file quadrangle.icc.

## vertex

const point vertex[n_vertex]

Initial value:
= {
point(-1,-1),
point( 1,-1),
point( 1, 1),
point(-1, 1) }
point
see the point page for the full documentation

Definition at line 77 of file quadrangle.icc.

## n_edge

const size_t n_edge = 4

Definition at line 82 of file quadrangle.icc.

## edge

const size_t edge[n_edge][2]

Initial value:
= {
{ 0, 1 },
{ 1, 2 },
{ 2, 3 },
{ 3, 0 } }

Definition at line 83 of file quadrangle.icc.